Summary:	Backup DVD structure to disk
Summary(pl.UTF-8):	Kopiowanie na dysk struktury DVD
Name:		dvdbackup
Version:	0.1.1
Release:	3
License:	GPL
Group:		Applications
Source0:	http://dvd-create.sourceforge.net/%{name}-%{version}.tar.gz
# Source0-md5:	53a071d1def5ee49d702a4dd080d25ac
Patch0:		%{name}-dvdread.patch
URL:		http://dvd-create.sourceforge.net/
BuildRequires:	libdvdread-devel >= 0.9.5-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Dvdbackup lets you make exact backup of DVD structure to disk in such
a way that you can use it to master DVD, or as an input for video
editing tools on Windows or Linux.

%description -l pl.UTF-8
Dvdbackup pozwala stworzyć dokładną kopię struktury DVD w taki sposób,
że można ją później wykorzystać do nagrania dysku DVD, albo jako dane
dla programów do edycji wideo pod Windows czy Linuksem.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
%{__cc} %{rpmldflags} %{rpmcflags} src/%{name}.c -ldvdread -o dvdbackup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
install -p dvdbackup $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/dvdbackup
%changelog
* Fri Nov 01 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dvdbackup.git;a=log;h=master

* Fri Nov 01 2019 Jan Rękorajski <baggins@pld-linux.org> e9b2cbd
- release 3 (by relup.sh)

* Wed Aug 25 2010 Elan Ruusamäe <glen@pld-linux.org> d4f61ee
- release 2

* Mon Oct 13 2008 Jakub Bogusz <qboosh@pld-linux.org> b4fe8e7
- use rpmldflags

* Sun Oct 12 2008 Łukasz Krotowski <lkrotowski@pld-linux.org> e17c4ef
- obsolete

* Sun Oct 12 2008 Łukasz Krotowski <lkrotowski@pld-linux.org> 9334499
- up to 0.1.1

* Sun Oct 12 2008 Łukasz Krotowski <lkrotowski@pld-linux.org> d385404
- up to 0.1.1
- dropped obsolete patch

* Fri Sep 07 2007 Jacek Konieczny <jajcus@pld-linux.org> 43cdf6b
- ifoClose patch added

* Fri Sep 07 2007 Jacek Konieczny <jajcus@pld-linux.org> dffed1e
- patch moving ifoClose() call after all ifo references

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> dee30f3
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0b0617c
- converted to UTF-8

* Sat Apr 22 2006 Jan Rękorajski <baggins@pld-linux.org> 7ba36f3
- orphaned, outdated

* Tue Feb 14 2006 wolf <wolf@pld-linux.org> 925087c
- fix for libdvdread, rel 2

* Tue Feb 14 2006 wolf <wolf@pld-linux.org> b508460
- fix headers inclusion

* Sun Feb 12 2006 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 9426c63
- correct commitlog

* Sun Feb 12 2006 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 6d1db02
- reverted to 1.7

* Sun Feb 12 2006 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 10c85d9
- up to v 0.3

* Mon Jan 24 2005 Jakub Bogusz <qboosh@pld-linux.org> 55e26c3
- fixed build (anyway, please don't use such ununique filenames in SOURCEs)

* Mon Jan 24 2005 jpc <jpc@pld-linux.org> f284009
- added README

* Mon May 26 2003 Michal Moskal <michal@moskal.me> c291cbf
- massive attack: adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 28f46ac
- massive attack s/pld.org.pl/pld-linux.org/

